org.apache.datasketches.tuple

## Class DeserializeResult<T>

- java.lang.Object
- - org.apache.datasketches.tuple.DeserializeResult<T>

Type Parameters:
  `T` - Type of object

    public class DeserializeResult<T>
    extends Object

Returns an object and its size in bytes as a result of a deserialize operation

### Constructor Summary

Constructors
Constructor and Description
`DeserializeResult(T object, int size)` Creates an instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `getObject()`
`int` `getSize()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DeserializeResult

    public DeserializeResult(T object,
                             int size)

Creates an instance.

Parameters:
  `object` - Deserialized object.
  `size` - Deserialized size in bytes.

### Method Detail

#### getObject

    public T getObject()

Returns:
  Deserialized object

#### getSize

    public int getSize()

Returns:
  Size in bytes occupied by the object in the serialized form